Your browser was detected as: (version )

Due to the many new technologies required to make redio.co work, the browser you use needs to be recent, and standards compliant.

As at April 2018, supported browsers are:

Chrome v63+
Firefox v58+

Additionally, Safari should work for most sections of redio, if it is version 11 or later.

We strongly advise you to upgrade your browser to Chrome or Firefox to use redio.

There are many articles online discussing why these browsers are best, and why Microsoft Internet Explorer and Edge are not good options, so we won’t go into this here. If you still have any questions, please contact redio support.

 

Leave A Comment
*
*